Bug 984107 - session-cache-size documentation is incorrect
session-cache-size documentation is incorrect
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
unspecified
All All
unspecified Severity unspecified
: GA
: EAP 6.1.1
Assigned To: Lucas Costi
Russell Dickenson
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 16:04 EDT by Chris Dolphy
Modified: 2014-08-14 11:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.11 Build Name: 11865, Administration and Configuration Guide-6.1-4 Build Date: 12-07-2013 01:29:20 Topic ID: 9038-458787 [Specified]
Last Closed: 2013-09-16 16:39:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Dolphy 2013-07-12 16:04:47 EDT
Title: SSL Connector Reference

Describe the issue:
In the  SSL Connector Reference documentation for session-cache-size it says: 
The default is 0, which disables the session cache. 

However, it appears that 0 actually has a unlimited session cache size.  Further, the tomcat connector documentation also says 0 has an unlimited cache size: http://tomcat.apache.org/tomcat-7.0-doc/config/http.html#SSL_Support

Suggestions for improvement:
Change documentation to say:
The default is 0, which specifies an unlimited cache size.

This affects several versions of the EAP documentation.

Additional information:

[1] https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.1/html/Administration_and_Configuration_Guide/SSL_Connector_Reference1.html
Comment 1 Chris Dolphy 2013-07-12 16:24:11 EDT
Might be nice to also mention that session-cache-size  and session-timeout only applies to the JSSE connectors and not the APR/native connector.
Comment 5 FIlip Bogyai 2013-08-21 08:19:00 EDT
Verified also in 6.2 Admin & Config Guide and 6.2 Security Guide

Note You need to log in before you can comment on or make changes to this bug.